var win = Ti.UI.createWindow({backgroundImage:'beach.jpg'});

var mainView = Ti.UI.createView({
	backgroundImage:'blackBG.png'
});

var t3 = Ti.UI.create2DMatrix();
	t3 = t3.rotate(90);

var cameraBTN = Ti.UI.createImageView({
	image:'camera.png',
	bottom:200,
	left:100,
	width:50,
	height:50,
	opacity:0.7
	
});
mainView.add(cameraBTN);

var photosBTN = Ti.UI.createImageView({
	image:'photos.png',
	bottom:200,
	right:100,
	width:50,
	height:50,
	opacity:0.7
	
});
mainView.add(photosBTN);

photosBTN.addEventListener('click', function(){
	Ti.Media.hideCamera();
	gallery();
});

cameraBTN.addEventListener('click', function(){
	Ti.Media.hideCamera();
	camera();
});

var blackView = Ti.UI.createView({
	backgroundColor:'#000',
	visible:false
});

win.add(blackView);
function openMain(){
	blackView.hide();
	mainView.show();
	if(!Ti.Media.isCameraSupported){
		win.add(mainView);	
	} else {
		Ti.Media.showCamera({
		    success:function(event) {},
		    cancel:function() {},
		    error:function(error) {},
		    overlay:mainView,
		    showControls:false,	// don't show system control
		    autohide:false 	// tell the system not to auto-hide and we'll do it ourself
		});
	}
	
	
}
openMain();



function open(event){
	mainView.hide();
	blackView.show();
	 var galImage = Ti.UI.createImageView({
	 	transform:t3,
	 	image: event.media,
	 	height:Ti.Platform.displayCaps.platformHeight,
	 	width:Ti.Platform.displayCaps.platformWidth
	 });
     
      // create new file name and remove old
      var filename = Titanium.Filesystem.applicationDataDirectory + "/" + new Date().getTime() + ".png";
      
      bgImage = Titanium.Filesystem.getFile(filename);
      bgImage.write(galImage.toImage());

	var view = Ti.UI.createScrollView({
		backgroundColor:'#000',
		borderRadius:150,
		height:300,
		width:300,
		contentHeight:'auto',
		contentWidth:'auto',
		minZoomScale:0.25,
		maxZoomScale:3.0,
		zoomScle:1.0
	});
	
	var image = Ti.UI.createImageView({
		image:bgImage.nativePath,
		height:'auto',
		width:'auto'
	});
	view.add(image);
	win.add(view);
	
	
	var button = Ti.UI.createButton({
		title:'Capture',
		width:200,
		height:40,
		bottom:10
	});
	
	button.addEventListener('click', function(){
		
	bgImage.write(view.toImage());
	
	var img = Ti.UI.createImageView({
	    width:200,
	    height:200,
	    image:bgImage.nativePath,
	    backgroundColor:'#000'
	});
	Titanium.Media.saveToPhotoGallery(img.toImage());
	win.remove(button);
	win.remove(view);
	
	win.add(img);
	img.addEventListener('click', function(){
		win.remove(img);
		//mainView.show();
		openMain();
	});

	});

	win.add(button);

}


function gallery(){
setTimeout(
	function(){
	Titanium.Media.openPhotoGallery(
	  { 
	    success: function(event){
	    	
	    	open(event);
	    },
	    cancel:function()
	    {
	  		openMain();
	    },
	    error:function(error)
	    {
	    	openMain();
	    }
  	});
  },500);
}


function camera(){
setTimeout(
	function(){
	var overlay = Titanium.UI.createView({
		backgroundImage:'whiteBG.png'
	});
	var tkPic = Ti.UI.createButton({
		title:'Take Picture',
		height:30,
		width:150,
		bottom:70
	});
	tkPic.addEventListener('click',function()
	{
		Ti.Media.takePicture();
	});
	overlay.add(tkPic);
	Titanium.Media.showCamera({
	
		success:function(event)
		{
			
			open(event);
			
		},
		cancel:function()
		{
			openMain();
		},
		error:function(error)
		{
			openMain();
			var a = Titanium.UI.createAlertDialog({title:'Camera'});
			if (error.code == Titanium.Media.NO_CAMERA)
			{
				a.setMessage('Sorry, you need a camera.');
				
			}
			else
			{
				a.setMessage('Unexpected error: ' + error.code);
				win.close();
			}
			a.show();
		},
		overlay:overlay,
		showControls:false,	// don't show system controls
		mediaTypes:Ti.Media.MEDIA_TYPE_PHOTO,
		autohide:true
		//allowEditing:true // tell the system not to auto-hide and we'll do it ourself
	});
	 },500);
}

win.open();